## bcusdk 0.0.5

=== contrib/swig/Makefile ===
#SWIG extensions
PYTHON_VERSION=$(shell echo -e "import sys\nprint sys.version[:3]" |python -)
PYTHON_LIB=/usr/lib/python$(PYTHON_VERSION)
PYTHON_INCLUDE=/usr/include/python$(PYTHON_VERSION)

swig: _eibclient.so 

eibclient_wrap.o: eibclient_wrap.c 
	$(CC) -fPIC -I$(PYTHON_INCLUDE) -I../../eibd/include -I../../common $< -c -o $@

eibclient_wrap.c: eibclient.i
	swig -python $(AM_CPPFLAGS) -I../../eibd/include -I../../common eibclient.i
	ln eibclient.py eibclient

_eibclient.so: eibclient_wrap.o
	$(CC)  -fPIC -shared $(AM_CPPFLAGS) -I../../eibd/include -I../../common $(SOURCES) $< -o $@ -L../../eibd/client/c -leibclient

swig_clean:
	-rm -f _eibclient.so eibclient.pyc \
		eibclient.py eibclient_wrap.c \
		eibclient_wrap.o eibclient/eibclient.py

install:
	strip _eibclient.so
	cp _eibclient.so $(PYTHON_LIB)/site-packages/
	python ./setup.py install

=== debian/changelog ===
bcusdk (0.0.5) unstable; urgency=low

  *  Next release

 -- Martin Koegler <mkoegler@auto.tuwien.ac.at>  Sun, 27 Feb 2011 20:04:03 +0100

bcusdk (0.0.4) unstable; urgency=low

  * Next release

 -- Martin Koegler <mkoegler@auto.tuwien.ac.at>  Wed, 17 Dec 2008 08:26:01 +0100

bcusdk (0.0.3) unstable; urgency=low

  * Next release

 -- Martin Koegler <mkoegler@auto.tuwien.ac.at>  Sat,  3 Nov 2007 21:35:12 +0100

bcusdk (0.0.2.1) unstable; urgency=low

  * Sync Version

 -- Martin Koegler <mkoegler@auto.tuwien.ac.at>  Mon,  4 Dec 2006 22:23:47 +0100

bcusdk (0.0.2) unstable; urgency=low

  * New version.

 -- Martin Koegler <mkoegler@auto.tuwien.ac.at>  Thu, 31 Oct 2006 12:00:00 +0100

bcusdk (0.0.1) unstable; urgency=low

  * New version.

 -- Martin Koegler <mkoegler@auto.tuwien.ac.at>  Sat, 10 Dec 2005 18:44:25 +0100

bcusdk (0.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Martin Koegler <mkoegler@auto.tuwien.ac.at>  Tue, 10 May 2005 18:42:21 +0200

=== debian/control ===
Source: bcusdk
Section: devel
Priority: extra
Maintainer: Martin Koegler <mkoegler@auto.tuwien.ac.at>
Build-Depends: debhelper (>= 7), cdbs, bzip2, bison, flex, m68hc05-gcc, libxml2-dev (>= 2.6.16), libpthsem-dev (>=2.0.8), gcj, fastjar, indent
Standards-Version: 3.8.3
Homepage: http://www.auto.tuwien.ac.at/~mkoegler/index.php/bcusdk
Vcs-Git: http://www.auto.tuwien.ac.at/~mkoegler/git/bcusdk.git

Package: eibd-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: eibd-clients
Description: eibd server
 eibd is a daemon which supports connection to an EIB (KNX) network over various
 interfaces. It provides its services over TCP/IP or Unix domain sockets.
 It can also act as an EIBnet/IP server. 
 Note: Some backends may crash Linux 2.6 kernels before 2.6.11.

Package: eibd-clients
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: eibd-server
Description: eibd clients
 Simple example programs to perform management tasks on a EIB system.

Package: libeibclient0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: eibd client library
 A client library written in C to access the EIB bus over eibd. 

Package: libeibclient-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libeibclient0 (= ${binary:Version})
Suggests: eibd-server
Description: eibd client library
 A client library written in C to access the EIB bus over eibd. 

Package: eibd-client-sources
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libeibclient-dev
Description: Sources of the eibd client programs
 Provides the source of the eibd client programs as examples how to use
 the eibd client library.

Package: bcusdk-build
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, m68hc05-gcc, xsltproc, m68hc05-runtime, libxml2-utils
Description: BCU SDK image building programs
 Contains all files and programs to build BCU images

Package: bcusdk
Architecture: all
Depends: ${misc:Depends}, eibd-server, eibd-clients, eibd-client-sources, libeibclient-dev, bcusdk-build
Description: BCU SDK
 Installs the complete BCU SDK (metapackage)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-java \
	--enable-ft12 \
	--enable-pei16 \
	--enable-tpuart \
	--enable-pei16s \
	--enable-tpuarts \
	--enable-eibnetip \
	--enable-eibnetipserver \
	--enable-groupcache \
	--enable-usb \
	--enable-eibnetiptunnel

DEB_DH_STRIP_ARGS := -Xusr/lib/bcusdk/lib -Xusr/lib64/bcusdk/lib
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_INSTALL_DOCS_ALL := README

clean::
	find -type l -exec rm {} \;
